<?php
	header('Content-type: text/css');
	// Lecture de la configuration. En cas d'absence de fichier .ini, on utilise des valeurs par defaut.
	include_once(dirname(__FILE__) . '/../../inc/post_config.php');
	$cfg_file = DC_SHARE_DIR . '/photoblog/photoblog.ini';
	$photo_thumb_width  = 90;
	$photo_thumb_height = 90;
	$photo_thumb_width_nav  = 60;
	$photo_thumb_height_nav = 60;
	$use_same_thumbs = 1;

	if (@file_exists($cfg_file)) {
		$photoblog_cfg = iniFile::read($cfg_file, true);
		$photo_thumb_width  = $photoblog_cfg['sp_thumb_width'];
		$photo_thumb_height = $photoblog_cfg['sp_thumb_height'];
		$photo_thumb_width_nav  = $photoblog_cfg['sp_thumb_width_nav'];
		$photo_thumb_height_nav = $photoblog_cfg['sp_thumb_height_nav'];
		$use_same_thumbs = $photoblog_cfg['sp_same_thumbs'];
	}

	if ($use_same_thumbs > 0) {
		$photo_thumb_width_nav = $photo_thumb_width;
		$photo_thumb_height_nav = $photo_thumb_height;
	}
?>

/* ***** BEGIN LICENSE BLOCK *****
 * This file is part of DotClear.
 * Copyright (c) 2004 Samuel Latchman and contributors. All rights
 * reserved.
 *
 * DotClear is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * DotClear is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with DotClear; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * ***** END LICENSE BLOCK *****
 *
 * Contributor(s):
 *  Olivier Meunier
 *  Theme par defaut adapte par Julien Mudry et Kozlika et LAURAB
 *
 *
 */  
html, body{
	margin: 0;
	padding: 0;
	background: #462830; 
  scrollbar-face-color : #462830;
     scrollbar-shadow-color: #462830;
     scrollbar-highlight-color: #462830;
     scrollbar-3dlight-color : #462830;
     scrollbar-darkshadow-color: #462830;
     scrollbar-track-color: #462830;
     scrollbar-arrow-color : #ac7381;
}
body {
	background: #462830 url(ground.gif);
	background-repeat: repeat-y;
	background-position: center; 
	margin : 0;
	padding : 0;
	font-family : Tahoma, Geneva,Helvetica,sans-serif;
	font-size : 0.76em;
	 
	color : #555;
}

body
{ 



cursor: crosshair; }


#container {
	margin : 0;
	padding : 0;
	background: #462830 url(ground.gif);
	background-repeat: repeat-y;
	background-position: center; 
}
p { margin : 1em 0; }
img { border : none; }
form { display : block; margin : 0; padding : 0; }

h1 { font-size : 0em; margin : 0.67em 0; }
h2 { font-size : 1.33em; margin : 0.83em 0; }
h3 { font-size : 1.17em; margin : 1em 0; }
h4 { font-size : 1em; margin : 1.33em 0; }
h5 { font-size : 0.83em; margin : 1.67em 0; }
h6 { font-size : 0.67em; margin : 2.33em 0; }

code,pre { font-family : "Tahoma",monospace; font-size : 1em; }

q { font-style : italic; }

a {
	color : #FF598F;
	text-decoration: none;
	font-weight:bold;
}
a:hover, a:focus, a:active {
	color: #FF598F;
}

a[hreflang]:after {
	content: "\0000a0(" attr(hreflang) ")";
	color : #666;
	background : transparent;
}

h2 {
	font-family : Tahoma,sans-serif;
}

table {
	font-size : 1em;
}


/* Layout
-------------------------------------------------------- */
body{
	align: center;
	background: #FFFFFF ;
	
}

#page {
	position: relative;
	width: 650px;
	margin: 0 auto;
height:100%;
	background: transparent ;
}
#topa {
	position: relative;
	margin : 0;
	height: 20px;
	padding: 1px 0 0 0;
	
}

#top {
	position: relative;
	margin : 0;
	background: #FF3380 url(images/head.jpg) no-repeat;
	color : #transparent;
	height: 160px;
	padding: 1px 0 0 0;
	
}
#top h1 {
	margin : 0px 0 0 0px;
	size: 1px;
}
#top a {
	size: 1px;
	color : FF598F;
	text-decoration : none;
}

#prelude {
	position : relative;
	top : 0px;
	margin : 0;
	padding : 0 15px 0 0;
	font-size : 11px;
	text-align : right;
	color : #FF598F;
}
#prelude a {
	color : #FF598F;
}
#prelude a:hover, #prelude a:focus {
	color : #FF598F;
}

#main {
	width : 650px;
	text-align: center;
	margin : 0;
}

#main h3 {
	color : #333;
	margin-top : 2em;
}

#content {
	padding : 1px 1em 1em 1em;
	text-align: center;
}


/* Navigation du photoblog 
-------------------------------------------------------- */
.vignettes { font-size: 11 px;
}

.vignettes a {
	background-position: 0 <?php printf('-' . $photo_thumb_height . 'px'); ?>;
	height: <?php printf($photo_thumb_height . 'px'); ?>;
	background-color: transparent;
	background-repeat: no-repeat;
	display: block;
	border: 3px solid #F0B3C2;
	width: <?php printf($photo_thumb_width . 'px'); ?>;
	margin: 4px auto;
}

.vignettes a:hover {
	border: 3px solid #F0B3C2;
	background-position: top left;
}

.vignettes_nav a {
	background-position: 0 <?php printf('-' . $photo_thumb_height_nav . 'px'); ?>;
	height: <?php printf($photo_thumb_height_nav . 'px'); ?>;
	background-color: transparent;
	background-repeat: no-repeat;
	display: block;
	border: 3px solid #999;
	width: <?php printf($photo_thumb_width_nav . 'px'); ?>;
	margin: 4px auto;
}

.vignettes_nav a:hover {
	border: 3px solid #999;
	background-position: top left;
}

.vignettes_archive {
	font-size: 10px;
	text-align: center;
	margin-left: auto;
	margin-right: auto;
	padding-bottom: 20px;
	width: <?php printf(($photo_thumb_width + 30) . 'px'); ?>;
	max-width: <?php printf(($photo_thumb_width + 30) . 'px'); ?>;
	height: <?php printf(($photo_thumb_height + 45) . 'px'); ?>;
	overflow: hidden;
	float: left;
}

#navigation {
	text-align:center;
	clear: both;
	margin: 10px;
	margin-left: auto;
	margin-right: auto;
	padding: 1em 0;
}

#navigation p {
	margin: 0 1.5em;
}

#navigation img {
	border: 3px solid #FF598F;
}

#navigation img a:hover {
	background-color: transparent;
}

#navprev {
	float: left;
	width: 20%;
	margin: 0;
	text-align: left;
}

#navnext {
	float: right;
	width: 20%;
	margin: 0;
	text-align: right;
}

#navnow {
	width: <?php printf(($photo_thumb_width_nav + 10) . 'px'); ?>;
	margin-left: auto;
	margin-right: auto;
}

#navnow table {
	margin-left: auto;
	margin-right: auto;
	text-align: center;
	color: #333;
	
}

#navnow img {
	margin: 4px auto;
	width: <?php printf($photo_thumb_width_nav . 'px'); ?>;
	height: <?php printf($photo_thumb_height_nav . 'px'); ?>;
}

#navnext table {
	margin-left: 0;
	margin-right: auto; 
	text-align: center;
}

#navprev table {
	margin-left: auto;
	margin-right: 0; 
	text-align: center;
}

/* Sidebar
-------------------------------------------------------- */
#sidebar {
	width : 16.5em;
	float : right;	
	margin : 0 0 2em 0;
}
#sidebar h2 {
	padding : 10px 0 0 0;
	margin : 1.3em 0 0.3em 0;
	background : transparent url(images/bac.gif) no-repeat 100% 0;
	font-weight : normal;
	font-family : Tahoma, sans-serif;
	color : #FF598F;
	text-transform : uppercase;
}

#clear {
	clear: both;
}

#photo_archive_title {
	
	color: #FF598F;
	font-size: 11px;
	font-variant: small-caps;
	text-decoration : underline;
	text-size: 12px;
	margin-bottom : 10px;
	margin-top : 10px;
	text-align: center;
}

#photo_archive_title h1 {
	text-align: center;
	font-size: 10px;
	color: #CC0033
}

#photo_archive {
	width: 80%;
	float: right;
}

#sidebar_archive {
	margin: 0 80% 0 1em;
	font-size:10px;
}
#sidebar_archive ul, #sidebar_archive li {
	list-style: none;
	margin: 0 0.5em;
	padding: 0;
}
#sidebar_archive ul {
	margin-bottom: 5em;
}
span.current a {
	color: #FF598F;
}

/* Footer
-------------------------------------------------------- */
.footer, .minimenu, .minimenu2 {
	clear: both;
	line-height: 160%;
	position : relative;
	font-size:0.86em;
	text-align: center;
	padding: 0.5em;
	
}


.footer a {
	color : #666;
}
.minimenu {
	border-top:2px solid #FF598F;
	border-bottom:2px solid #FF598F;
}
.minimenu a {
	color: #FF598F;
}

.minimenu2 a {
	color: #FF598F;
	height: 20px;
}
/* Post
-------------------------------------------------------- */
.post {
	padding : 1em 1em 0 1em;
	margin:0;
	text-align : center;
	color: #000;
	font-family : tahoma,Lucida,Helvetica,sans-serif;
}
.post-title, .post-title a {
	font-family : tahoma,Helvetica,sans-serif;
	font-variant : small-caps;
	color : #FF3380;
	font-weight: bold;
	text-decoration: none;
	font-size: 14px;
}
.post-info-co, .post-info-co span {
	font-size:0.86em;
	background:transparent;
	padding:0.33em;
	color:#333;
	text-align:center;
}
.post-info {
	padding:0;
}
.day-date {
	display:none;
}
.post-content {

}
.post-chapo {
	text-align:center;
	font-style:italic;
	color:#333;
}

#trackbacks {
	width: 60%;
	margin-left: auto;
	margin-right: auto;
	clear: both;
	padding-top: 0.8em;
}
#comments {
	width: 60%;
	margin-left: auto;
	margin-right: auto;
}

#content-preview {
	width:60%;
	margin-left: auto;
	margin-right: auto;
}

#trackbacks, #comments, #comment-preview {
	text-align: left;
}

#trackbacks blockquote, #comments blockquote, #comment-preview blockquote {
	display : block;
	margin : 0 0 1em 0;
	padding : 1px 1em;
	font-style : normal;
	color : #666;
	background : #FFF;
}
.comment-info {
	margin : 0;
	padding : 0.3em 0 0.3em 18px;
}
#trackbacks .comment-info {
	background-image : url(images/bac.gif);
	background-position : 4px 60%;
	background-repeat : no-repeat;
}
#comments .comment-info {
	background-image : url(images/bac.gif);
	background-position : 4px 60%;
	background-repeat : no-repeat;
}
.comment-number {
	font-family : tahoma, sans-serif;
	font-size : 1.8em;
}
.comment-number a {
	text-decoration : none;
}

/* Error messages
-------------------------------------------------------- */
.error {
	border : 1px solid #c00;
	background : #fee;
	padding : 0.5em;
}
.error ul {
	padding-left : 20px;
}
.error li {
	list-style : square;
}


/* Interactions
-------------------------------------------------------- */
fieldset {
	display : block;
	border : none;
	margin : 0;
	padding : 0;
}

input, textarea {
	font-family : Tahoma, Geneva,Helvetica,sans-serif;
	font-size : 1em;
	border-width : 1px;
	color: color: #FF598F;
	
	border-color : #ccc;
}

input[type], textarea[name] {
	background: #ffffff ;
	color: #F97395;
}

input[type=submit], input[type=reset] {
	background : #ccc;
	color : #F97395;
}

input[type=submit]:hover {
	background : #F87395;
	color : #fff;
}

textarea {
	width : 100%;
}

p.field {
	margin : 0.5em 0 0 0;
}

p.field label {
	display : block;
	font-weight : bold;
	font-size : 0.85em;
}

.form-help {
}

#comment-form {
}

input.preview {
}
input.submit {
}

#c_nom {
}
#c_mail {
}
#c_site {
}
#c_content {
}
#c_remember {
}